Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Gewinde beim DXF-Export einer Abwicklung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Gewinde beim DXF-Export einer Abwicklung (758 mal gelesen)
LMC01
Mitglied
Konstrukteur


Sehen Sie sich das Profil von LMC01 an!   Senden Sie eine Private Message an LMC01  Schreiben Sie einen Gästebucheintrag für LMC01

Beiträge: 31
Registriert: 30.07.2007

Inventor 2016 Prof.
Dell XPS8300
Core i7 870
8GB Ram
WIN 10 Pro 64bit
AMD Radeon HD 6570 1GB

erstellt am: 12. Jun. 2018 11:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich würde gerne den 3/4 Kreis bei einem Gewinde mit Darstellen wenn ich eine Abwicklung in ein DXF exportieren.
Dann kann ich diesen Kreis mit dem Laser gravieren und in der Werkstatt sieht man dann besser wo noch ein Gewinde geschnitten werden muss.
Ist das möglich?

Ich benutze ein Makro für den Export der Abwicklung als 1:1 DXF, hier dazu der String für die Layersteuerung den ich derzeit verwende:

Dim sOut As String
    sOut = "FLAT PATTERN DXF?AcadVersion=2000&OuterProfileLayer=Outer"
    sOut = sOut & "&FeatureProfilesUpLayer=IV_FEATURE_PROFILES&FeatureProfilesUpLayerColor=255;255;0"
    sOut = sOut & "&FeatureProfilesDownLayer=IV_FEATURE_PROFILES_DOWN&FeatureProfilesDownLayerColor=255;255;0&FeatureProfilesDownLayerLineType=37634"
    sOut = sOut & "&InvisibleLayers=IV_Tangent;IV_Bend;IV_Bend_Down;IV_Bend_Up;IV_ARC_CENTERS;IV_TOOL_CENTER;IV_TOOL_CENTER_DOWN;IV_UNCONSUMED_SKETCHES"

Vielen Dank
Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tacker
Mitglied
TZ, Tech. MB, Softwareentwickler


Sehen Sie sich das Profil von Tacker  an!   Senden Sie eine Private Message an Tacker  Schreiben Sie einen Gästebucheintrag für Tacker

Beiträge: 175
Registriert: 23.09.2010

IV 2017 Pro
i7-7700K 4x4.2GHz
32GB DDR4-2400
GTX 1060 6GB DDR5

erstellt am: 12. Jun. 2018 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LMC01 10 Unities + Antwort hilfreich

Moin  ,

schon mal in die API Hilfe geschaut?
Da gibt es Beispiele wie  man eine DXF exportiert und mit welchen Einstellungen.

Code:

Public Sub PublishDXF()
    ' Get the DXF translator Add-In.
    Dim DXFAddIn As TranslatorAddIn
    Set DXFAddIn = ThisApplication.ApplicationAddIns.ItemById("{C24E3AC4-122E-11D5-8E91-0010B541CD80}")

    'Set a reference to the active document (the document to be published).
    Dim oDocument As Document
    Set oDocument = ThisApplication.ActiveDocument

    Dim oContext As TranslationContext
    Set oContext = ThisApplication.TransientObjects.CreateTranslationContext
    oContext.Type = kFileBrowseIOMechanism

    ' Create a NameValueMap object
    Dim oOptions As NameValueMap
    Set oOptions = ThisApplication.TransientObjects.CreateNameValueMap

    ' Create a DataMedium object
    Dim oDataMedium As DataMedium
    Set oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

    ' Check whether the translator has 'SaveCopyAs' options
    If DXFAddIn.HasSaveCopyAsOptions(oDocument, oContext, oOptions) Then
        Dim strIniFile As String
        strIniFile = "C:\tempDXFOut.ini"

        ' Create the name-value that specifies the ini file to use.
        oOptions.Value("Export_Acad_IniFile") = strIniFile
    End If

    'Set the destination file name
    oDataMedium.FileName = "c:\tempdxfout.dxf"

    'Publish document.
    Call DXFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)
End Sub


Die Formatierung ist so leider nicht optimal

Zitat:

Translate - Sheet Metal to DXF API Sample
Description
The sample code below writes a sheet metal file out as DXF. DWG is also supported. Use either the FLAT PATTERN DWG or FLAT PATTERN DXF formats.There are several optional arguments that can be specified as part of the format string. E.g. 'FLAT PATTERN DXF?TangentLayer=Tangents&SimplifySplines=True'). Below are the names of these arguments and relevant default values. The output will use these values unless you override them as part of the input string. Argument Type Default Value Note
TangentLayer String IV_TANGENT 
OuterProfileLayer String IV_OUTER_PROFILE 
ArcCentersLayer String IV_ARC_CENTERS 
InteriorProfilesLayer String IV_INTERIOR_PROFILES 
BendLayer String IV_BEND BendUpLayer + BendDownLayer (legacy support)
BendUpLayer String IV_BEND 
BendDownLayer String IV_BEND_DOWN 
ToolCenterLayer String IV_TOOL_CENTER ToolCenterUpLayer + ToolCenterDownLayer (legacy support)
ToolCenterUpLayer String IV_TOOL_CENTER 
ToolCenterDownLayer String IV_TOOL_CENTER_DOWN 
FeatureProfilesLayer String IV_FEATURE_PROFILES FeatureProfilesUpLayer + FeatureProfilesDownLayer (legacy support)
FeatureProfilesUpLayer String IV_FEATURE_PROFILES 
FeatureProfilesDownLayer String IV_FEATURE_PROFILES_DOWN 
AltRepFrontLayer String IV_ALTREP_FRONT 
AltRepBackLayer String IV_ALTREP_BACK 
UnconsumedSketchesLayer String IV_UNCONSUMED_SKETCHES 
TangentRollLinesLayer String IV_ROLL_TANGENT 
RollLinesLayer String IV_ROLL 
***Color String  *** indicates name of layer from the argument column. RGB values separated by ;. Example: TangentLayerColor=255;0;0
***LineType Long  *** indicates name of layer from the argument column. Long value from LineTypeEnum. Example: TangentLayerLineType=37644
***LineWeight Double  *** indicates name of layer from the argument column. Value in centimeters. Example: TangentLayerLineWeight=.1016
ExportUnconsumedSketchProperties Boolean True Specifies whether individual sketch entity properties should be exported. If set to False, the properties specified by the UnconsumedSketchesLayer are used.
CustomizeFilename String 
AcadVersion String  2010, 2007, 2004, 2000, or R12 (for DXF only)
SimplifySplines Boolean True Enable spline replacement by linear segments
SplineTolerance Double 0.01 Chord tolerance for spline replacement
AdvancedLegacyExport Boolean True 
MergeProfilesIntoPolyline Boolean False Build a polyline of the exterior profiles
RebaseGeometry Boolean False Move geometry to 1st quadrant
InvisibleLayers String  List of layer names to make invisible, separated by ;

Code Samples
VBA Sample Code
The following sample demonstrates creating an R12 DXF file that will have a layer called Outer where the the curves for the outer shape will be created.Public Sub WriteSheetMetalDXF()
    ' Get the active document.  This assumes it is a part document.
    Dim oDoc As PartDocument
    Set oDoc = ThisApplication.ActiveDocument

    ' Get the DataIO object.
    Dim oDataIO As DataIO
    Set oDataIO = oDoc.ComponentDefinition.DataIO

    ' Build the string that defines the format of the DXF file.
    Dim sOut As String
    sOut = "FLAT PATTERN DXF?AcadVersion=R12&OuterProfileLayer=Outer"

    ' Create the DXF file.
    oDataIO.WriteDataToFile sOut, "C:\temp\flat2.dxf"
End Sub


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LMC01
Mitglied
Konstrukteur


Sehen Sie sich das Profil von LMC01 an!   Senden Sie eine Private Message an LMC01  Schreiben Sie einen Gästebucheintrag für LMC01

Beiträge: 31
Registriert: 30.07.2007

Inventor 2016 Prof.
Dell XPS8300
Core i7 870
8GB Ram
WIN 10 Pro 64bit
AMD Radeon HD 6570 1GB

erstellt am: 12. Jun. 2018 13:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


test1-20180612.pdf


test1-Abwicklung-20180612.dxf


test1.ipt

 
Vielen Dank für die Antwort, leider ist das glaube ich nicht das gesuchte.
Das DXFAddin exportiert ein .idw als .dxf, das habe ich auch so im Makro. Dort werden auch die Gewindekreise exportiert. Soweit ich das im Forum gelesen habe funktioniert dieser Befehl aber nur für eine .idw.
Ich möchte jedoch die Abwicklung direkt in ein dxf umwandeln damit das direkt in die Lasersoftware eingelesen werden kann.

Das mache ich mit folgender Zeile im Makro:
oDataIO.WriteDataToFile sOut, Gesamtname

Auch wenn ich alle Layer eingeschalten habe erscheint der Gewindekreis nicht im gespeicherten dxf.

Anbei ein Beispiel, das pdf und das dxf wurde vom Marko erzeugt.

sg
Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tacker
Mitglied
TZ, Tech. MB, Softwareentwickler


Sehen Sie sich das Profil von Tacker  an!   Senden Sie eine Private Message an Tacker  Schreiben Sie einen Gästebucheintrag für Tacker

Beiträge: 175
Registriert: 23.09.2010

IV 2017 Pro
i7-7700K 4x4.2GHz
32GB DDR4-2400
GTX 1060 6GB DDR5

erstellt am: 12. Jun. 2018 14:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LMC01 10 Unities + Antwort hilfreich

Moin 

Ah jetzt versteh ich, die dxf wird direkt aus der .ipt erzeugt.
Für Inventor-VBA gibt es übrigens ein extra Forum.

Ich hab mal kurz recherchiert, aber muss sagen mit Gewinden sieht das nicht so gut aus.
Das Gewinde zeigt Inventor auch nicht an als extra Linie in der .ipt sondern nur als Bild auf der Oberfläche.

Was spricht dagegen sich die .dxf aus einer .idw zu erstellen?

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LMC01
Mitglied
Konstrukteur


Sehen Sie sich das Profil von LMC01 an!   Senden Sie eine Private Message an LMC01  Schreiben Sie einen Gästebucheintrag für LMC01

Beiträge: 31
Registriert: 30.07.2007

Inventor 2016 Prof.
Dell XPS8300
Core i7 870
8GB Ram
WIN 10 Pro 64bit
AMD Radeon HD 6570 1GB

erstellt am: 21. Jun. 2018 13:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für die Antwort.

Ich befürchte auch, dass das nicht funktioniert. Ich habe zumindest bis jetzt nichts gefunden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LutzCAD
Mitglied
Ingenieur / EDV Betreuung + Programmierung


Sehen Sie sich das Profil von LutzCAD an!   Senden Sie eine Private Message an LutzCAD  Schreiben Sie einen Gästebucheintrag für LutzCAD

Beiträge: 14
Registriert: 04.09.2008

WIN 7, Inventor 2016

erstellt am: 07. Mrz. 2019 12:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LMC01 10 Unities + Antwort hilfreich

Hallo,

Ich habe selber nach einer fertigen Lösung gesucht, aber nichts gefunden.
Inzwischen habe ich eine brauchbare Lösung realisiert.

Die Funktionalität wird vor dem Flat-Pattern-Export ausgeführt.

Die Funktion basiert auf einer Geometrieanalyse des Flatpattern-Body.
Es werden alle Kanten des Flatpattern-Body durchlaufen.
Bei Kreiskanten wird über die Betrachtung der Herkunft der angrenzenden Faces geprüft, ob die Kante mit einem Hole-Feture assoziiert ist. (Face.created by [hole] feature)
Wenn ja, kann die Gewindeinfo des Hole-Feature ausgelesen und verarbeitet werden.

Duplikate gefundener Gewindeinfos (nur Z-Koordinate abweichend) müssen ausgefiltert werden um später keine doppelten Linien im DXF zu erhalten.

"Schmutz" wie seitlich in ein dickes Blech eingebrachte Bohrungen muss ebenfalls ausgefiltert werden. Das geht aber einfach über den Vergleich der Orientierung der Normalen der Topface und den Normalen der Kreiskanten.

Beschränkung: Das klappt (bislang) nur bei Hole-Features mit Threadinfo. Thread-Features werden so NICHT erkannt!

Die Darstellung gefundener Geweindeinformationen erfolgt über Zeichenoperationen auf einer unconsumed-Sketch, die auf der TopFace des Abwicklungskörpers angeordnet wird.

Da die Operationen zur Bearbeitung der unconsumed-sketches (für automatisierte Hintergrundoperationen) recht langsam sind, wird aus allen relevanten Informationen zur sketch ein Hashwert (MD5) ermittelt und in einem user-iproperty gepuffert.
Bei Änderung des Hashwertes wird eine existierende Zeichnung verworfen und neu generiert.


Gruß
HT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meierjo
Mitglied



Sehen Sie sich das Profil von Meierjo an!   Senden Sie eine Private Message an Meierjo  Schreiben Sie einen Gästebucheintrag für Meierjo

Beiträge: 139
Registriert: 20.08.2003

Windows 7 Professional 64 Bit
Inventor Professional 2019.3, Build 278
Vault Basic 2019.1.1, Build 24.1.42.0

erstellt am: 07. Mrz. 2019 19:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LMC01 10 Unities + Antwort hilfreich

Hallo

Du kannst mit dem folgenden VBA-Code das DXF aus einer IPT exportieren

Code:
Public Sub Erstelle_DXF()
    Dim oDoc As Document
    Set oDoc = ThisApplication.ActiveDocument
      
    'Wenn kein Dokument offen, beenden
    If oDoc Is Nothing Then Exit Sub
    'Wenn Dokument noch nicht gespeichert, Warnung und dann beenden
    If oDoc.FileSaveCounter = 0 Then
        MsgBox "Dokument ist noch nicht gespeichert, bitte erst speichern!!", vbCritical, "@Copyright by meierjo"
        Exit Sub
    End If
   
    'Wenn das Dokument keine IPT-Datei ist, dann Prozedur verlassen
    If oDoc.DocumentType <> kPartDocumentObject Then
        MsgBox "Dieser Befehl kann nur aus einer Bauteil-Datei (*.ipt) ausgeführt werden!!", vbCritical, "@Copyright by meierjo"
        Exit Sub
    End If
   
    'Get the DataIO object
    Dim oDataIO As DataIO
    Set oDataIO = oDoc.ComponentDefinition.DataIO
   
    'Build the string that defines the format of the DXf File.
    Dim sOut As String
   
    'https://forums.autodesk.com/t5/inventor-customization/linetype-value-for-layers-in-export-flat-pattern-to-dxf/td-p/5786579
    'This is from API enum: LineTypeEnum. At my side, the continuous line is 37633, instead od 38634
    'LineTypeEnum Enumerator
    'Name                               Value   Description                             Deutsch
    'kChainLineType                     37644   Chain line style.                       Kette
    'kContinuousLineType                37633   Continuous line style.                  Durchgehend
    'kCustomLineType                    37649   Custom line style.                      benutzerdefiniert
    'kDashDottedLineType                37638   Dash dotted line style.                 Strich punktiert
    'kDashedDoubleDottedLineType        37645   Dashed double dotted line style.        Gestrichelt doppelt punktiert
    'kDashedHiddenLineType              37641   Dashed hidden line style.               Gestrichelt versteckt
    'kDashedLineType                    37634   Dashed line style.                      Gestrichelt
    'kDashedTripleDottedLineType        37647   Dashed triple dotted line style.        Gestrichelt dreifach punktiert
    'kDefaultLineType                   37648   default line style.                     Standard
    'kDottedLineType                    37636   Dotted line style.                      Punktiert
    'kDoubleDashDoubleDottedLineType    37639   Double dash double dotted line style.   Doppelstrich doppelt punktiert
    'kDoubleDashedChainLineType         37637   Double dashed line style.               Doppelt gestrichelt
    'kDoubleDashedDottedLineType        37646   Double dashed dotted line style.        Doppelt gestrichelt punktiert
    'kDoubleDashedTripleDottedLineType  37640   Double dash triple dotted line style.   Doppelt gestrichelt dreifach punktiert
    'kLongDashDottedLineType            37642   Long dash dotted line style.            Langer Strich punktiert
    'kLongDashedDoubleDottedLineType    37635   Long dashed double dotted line style.   Langer Strich doppelt punktiert
    'kLongDashTripleDottedLineType      37643   Long dash triple dotted line style.     Langer Strich dreifach punktiert
   
    'Farbcodes
    '0      0       0       schwarz
    '0      0       255     blau
    '0      255     0       grün
    '0      255     255     cyan
    '255    0       0       rot
    '255    0       255     magenta
    '255    255     0       gelb
    '255    255     255     weiss
       
    sOut = "FLAT PATTERN DXF?AcadVersion=2004" & _
        "&OuterProfileLayer=IV_OUTER_PROFILE&OuterProfileLayerLineType=37633&OuterProfileLayerLineWeight=0.0500&OuterProfileLayerColor=0;0;0" _
        + "&ArcCentersLayer=IV_ARC_CENTERS&ArcCentersLayerLineType=37633&ArcCentersLayerLineWeight=0.0500&ArcCentersLayerColor=255;0;0" _
        + "&InteriorProfilesLayer=IV_INTERIOR_PROFILES&InteriorProfilesLayerLineType=37633&InteriorProfilesLayerLineWeight=0.0500&InteriorProfilesLayerColor=0;0;0" _
        + "&BendUpLayer=IV_BEND&BendUpLayerLineType=37633&BendUpLayerLineWeight=0.0500&BendUpLayerColor=0;0;255" _
        + "&BendDownLayer=IV_BEND_DOWN&BendDownLayerLineType=37633&BendDownLayerLineWeight=0.0500&BendDownLayerColor=0;0;255" _
        + "&ToolCenterUpLayer=IV_TOOL_CENTER&ToolCenterUpLayerLineType=37633&ToolCenterUpLayerLineWeight=0.0500&ToolCenterUpLayerColor=255;0;0" _
        + "&ToolCenterDownLayer=IV_TOOL_CENTER_DOWN&ToolCenterDownLayerLineType=37633&ToolCenterDownLayerLineWeight=0.0500&ToolCenterDownLayerColor=255;0;0" _
        + "&FeatureProfilesUpLayer=IV_FEATURE_PROFILES&FeatureProfilesUpLayerLineType=37633&FeatureProfilesUpLayerLineWeight=0.0500&FeatureProfilesUpLayerColor=255;0;0" _
        + "&FeatureProfilesDownLayer=IV_FEATURE_PROFILES_DOWN&FeatureProfilesDownLayerLineType=37633&FeatureProfilesDownLayerLineWeight=0.0500&FeatureProfilesDownLayerColor=255;0;0" _
        + "&AltRepFrontLayer=IV_ALTREP_FRONT&AltRepFrontLayerLineType=37633&AltRepFrontLayerLineWeight=0.0500&AltRepFrontLayerColor=255;0;0" _
        + "&AltRepBackLayer=IV_ALTREP_BACK&AltRepBackLayerLineType=37633&AltRepBackLayerLineWeight=0.0500&AltRepBackLayerColor=255;0;0" _
        + "UnconsumedSketchesLayer=IV_UNCONSUMED_SKETCHES&UnconsumedSketchesLayerLineType=37633&UnconsumedSketchesLayerLineWeight=0.0500&UnconsumedSketchesLayerColor=0;255;0" _
        + "&RollLinesLayer=IV_ROLL&RollLinesLayerLineType=37633&RollLinesLayerLineWeight=0.0500&RollLinesLayerColor=0;255;0" _
        + "&InvisibleLayers=IV_TANGENT;IV_ROLL_TANGENT"

    'Datenmedium-Objekt erstellen
    Dim oDataMedium As DataMedium
    Set oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
   
    ' Set a reference to the DesignProjectManager object.
    Dim oDesignProjectMgr As DesignProjectManager
    Set oDesignProjectMgr = ThisApplication.DesignProjectManager
   
    'current workspace path
    Dim sPath As String
    sPath = oDesignProjectMgr.ActiveDesignProject.WorkspacePath & "\"
   
    Dim oFileDlg As Inventor.FileDialog ' FileDialog
    Call ThisApplication.CreateFileDialog(oFileDlg)

    oFileDlg.Filter = "DXF-File (*.dxf)|*.dxf|All Files (*.*)|*.*"
    oFileDlg.FilterIndex = 1

    oFileDlg.DialogTitle = "DXF speichern unter"
    oFileDlg.SuppressResolutionWarnings = True
   
    'erstelle das DXF-File
    oDataMedium.FileName = sPath & oDoc.PropertySets("Design Tracking Properties").Item("Part Number").Value
    oFileDlg.FileName = oDataMedium.FileName
    oFileDlg.CancelError = True
   
    On Error Resume Next
    oFileDlg.ShowSave
   
    'Wenn ein Fehler auftritt, oder Benutzer auf abbrechen klickt, beenden, andernfalls wird der Dateiname angezeigt

    'oDataIO.WriteDataToFile sOut, oDataMedium.FileName
    If Err Then
        MsgBox "Aktion wurde vom Benutzer abgebrochen!!", vbExclamation, "@Copyright by meierjo"
        Exit Sub
        ElseIf oFileDlg.FileName <> "" Then
        'Pfad und Dateiname anpassen, falls durch Benutzer geändert
        oDataMedium.FileName = oFileDlg.FileName
        oDataIO.WriteDataToFile sOut, oDataMedium.FileName
    End If
    Err = 0
   
    MsgBox "DXF korrekt unter   " & oDataMedium.FileName & "   abgelegt!!", vbOKOnly, "@Copyright by meierjo"
End Sub


Der Output hängt natürlich von den eingestellten Parametern ab.
Aber grundsätzlich wird zb bei einem metrischen M4 Gewinde der Kerndurchmesser (ø 3.242 mm)im DXF bereitgestellt.
Somit sollte dann auch die Lasermaschine den Kerndurchmesser laserschneiden

Oder hab ich hier was falsch verstanden??

Gruss

[Diese Nachricht wurde von Meierjo am 07. Mrz. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LutzCAD
Mitglied
Ingenieur / EDV Betreuung + Programmierung


Sehen Sie sich das Profil von LutzCAD an!   Senden Sie eine Private Message an LutzCAD  Schreiben Sie einen Gästebucheintrag für LutzCAD

Beiträge: 14
Registriert: 04.09.2008

WIN 7, Inventor 2016

erstellt am: 08. Mrz. 2019 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LMC01 10 Unities + Antwort hilfreich

Hallo,

die Kernlochdarstellung "passt" schon.
Ich bin mir natürlich auch nicht 100% sicher, den Fragesteller richtig verstanden zu haben. Ich denke, es ging/geht um die Signatur der Gewinde-Nenndurchmesser mit 3/4-Kreis.

Bei uns geht es derzeit aktuell um möglichst passende Datenbereitstellung für eine Plasmamaschine mit integrierter Bohrspindel.

Aufgaben/Herausforderungen hierzu sind:
Relativ zur Blechdicke kleine Bohrungen können nicht mit Plasma geschnitten werden. Solche Bohrungen dürfen nicht als Schneidkanten abgebildet werden.

Gibt es ein passendes Bohrwerkzeug, soll es verwendet werden. Also ein eigener Layer für Bohroperationen.

Gibt es kein passendes Werkzeug, soll die Bohrung einschließlich Mittelpunkts-Kreuzen nur signiert werden. Die Mittelpunkts-Kreuze sind keine Körperkanten und können also nur über eine sketch bereitgestellt werden. Gleiches gilt für sonstige Beschriftungen wie Bauteil- oder Projektnummern
Top-Face-Features wie Kanten von Senkungen sollen ebenfalls signiert werden und nach Möglichkeit auf dem selben Layer ausgegeben werden wie oben genannte sketch-Elemente.

Die Gewindekennzeichnung mit dem 3/4-Kreis mit Gewinde-Nennmaß kann nicht durch Kantenprojektion aus dem (Abwicklungs-)Körper erzeugt werden, da es hierzu keine Körperkante gibt.
Die Herausforderung besteht also darin die Gewindeinformationen zu finden und u.A. dafür zu sorgen, diese nur zu signieren, wenn das zugehörige Kernloch auch von der Top-Face aus sichtbar ist.

Das im vorigen Post beschriebene Konzept scheint bislang (ausreichend gut) zu funktionieren.

Ich habe hier keinen Code gepostet, da die aktuelle Version für eine copy/paste Anwendung ziemlich unhandlich, um nicht zu sagen nutzlos, ist. [mehrere 100 Zeilen unbereinigter .net-Code aus einem AddIn]. Auch ist der Code noch frisch. Es ist also nicht ganz unwahrscheinlich, dass im Code noch nicht erkannte Fehler existieren.)

Gruß
HT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LutzCAD
Mitglied
Ingenieur / EDV Betreuung + Programmierung


Sehen Sie sich das Profil von LutzCAD an!   Senden Sie eine Private Message an LutzCAD  Schreiben Sie einen Gästebucheintrag für LutzCAD

Beiträge: 14
Registriert: 04.09.2008

WIN 7, Inventor 2016

erstellt am: 14. Mai. 2019 15:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LMC01 10 Unities + Antwort hilfreich

Hallo,

leider habe ich das Problem nicht vollständig "sauber" lösen können. Gewinde, die nicht direkt aus holfeatures hevorgehen, kann ich weiterhin nicht auf sauberem Weg finden.
Ein bei uns ergänzter Workaround ist "raten". Zumindest bei den gängigen ISO-Regelgewinden sind die Kerndurchmesser so, dass sie recht eindeutig mit den jeweiligen Gewinden in Verbindung zu bringen sind. Die Kennzeichnung kann wie bereits beschrieben vorgenommen werden.
Ergänzt wurde der DXF-Export durch eine Nachbearbeitung des DXF, da so bei den Bohrungen und Gewinden verschiedene Repräsentationen der selben Geometrie möglich sind. Das ermöglicht in einer DXF-Datei den eigenen Anforderungen und auch denen verschiedener Zulieferer zu entsprechen. Die unpassenden Informationen müssen lediglich ausgefiltert/ignoriert werden.
Die automatisierte Nachbearbeitung des DXF eröffnet auch die Möglichkeit, Textelemente in das DXF einzufügen. In unserem Fall dienen diese z.B. zur Identifikation der Halbzeuge und auch der zu fertigenden Stückzahl.
Die Gewindekennzeichnung nach Kernlochdurchmesser könnte auch komplett beim patchen des DXF erfolgen. Ob hier alle relevanten Gewinde EINDEUTIG zu identifizieren sind, müsste aber sicher geprüft werden.


Gruß
HT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz